import { jsx } from "react/jsx-runtime";
import { TokenSOCKS as TokenSOCKS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSOCKS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SOCKS", "data-name": "TokenSOCKS", ...props, children: /* @__PURE__ */ jsx(TokenSOCKS$1, { variant }) });
  }
);
TokenSOCKS.displayName = "TokenSOCKS";
Object.assign(TokenSOCKS, { isGdsIcon: true });
export {
  TokenSOCKS
};
